import { baseRequest } from '@/utils/request'
const request = (url, ...arg) => baseRequest(`/openGovernment/ogPublicSystem/` + url, ...arg)
export default {
	// 政策文件列表
	publicSystemPage(data) {
		return request('page', data, 'get')
	},
	//启用禁用delete
	publicSystemType(data) {
		return request('enableAndDisable', data, 'post')
	},
	//add
	publicSystemAdd(data) {
		return request('add', data, 'post')
	},
	//view
	publicSystemView(data) {
		return request('detail', data, 'get')
	},
	// edit
	publicSystemEdit(data) {
		return request('edit', data, 'post')
	},
	// 删除
	publicSystemDel(data) {
		return request('delete', data, 'post')
	}
}
